package pascal.semantic;

import pascal.table.*;
import pascal.iterator.*;

public class Information{

  protected String string;
  private int line;
  private int pos;
  protected Entry entry;
  private boolean bool;
  protected ConcreteAggregate list;

  public Information(){}  

  public String getString(){
    return string;
  }

  public Type getType(){
    return (Type)entry;
  }

  public Parameter getParameter(){
    return (Parameter)entry;
  }

  public Entry getEntry(){
    return entry;
  }

  public int getLine(){
    return line;
  }

  public int getPos(){
    return pos;
  }

  public ConcreteAggregate getList(){
    return list;
  }

  public void set(String string){
    this.string = string;
  }

  public void set(ConcreteAggregate list){
    this.list = list;
  }

  public void set(int line, int pos){
    this.line = line;
    this.pos = pos;
  }

  public void set(Entry entry){
    this.entry = entry;
  }

  public void setRValue(){
    this.bool = false;
  }

  public void setRVariable(){
    this.bool = true;
  }

  public boolean isRVariable(){
    return bool;
  }

}